Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
element proxyPortlet

Model
  `<proxyPortlet
  backingFile = string
  cacheExpires = integer
  connectionTimeoutMSecs = integer
  defaultMinimized = boolean
  definitionId = string
  definitionLabel = `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`
  deleted = boolean
  description = string
  disabledClassifications = string
  doesUrlTemplateProcessing = boolean
  enabledClassifications = string
  forkable = boolean
  forkPreRender = boolean
  forkPreRenderTimeout = integer
  forkRender = boolean
  forkRenderTimeout = integer
  groupId = string
  id = string
  instanceId = string
  markupName = string
  orientation = string
  packed = boolean
  portletHandle = string
  portletStateChange = `"1" | "2" | "3"`
  presentationClass = string
  presentationId = string
  presentationStyle = string
  producerHandle = string
  producerOfferedPortlet = boolean
  properties = string
  renderCacheable = boolean
  skeletonUri = string
  tagName = string
  templatesStoredInSession = boolean
  title = `{string: length ≥ 1}`
  windowModeEnabled = boolean
  >
  meta*, handlePortalEvent | handlePageFlowEvent | handleStrutsEvent | handleCustomEvent | handleEvent | handleNotificationEvent*, titlebar?, proxyPortletContent, proxyRef*, requiredUserProperties?
  </proxyPortlet>`

Disallowed substitutions (block)
  none (extensions, restrictions and substitutions are allowed)

Substitution group exclusion (final)
  none (extensions and restrictions are allowed)

Substitution group affiliation
  element abstractPortlet

Content Type
  declared by type proxyPortletType
  element-only content, not nillable.

Usage
  This element can be the root element of XML instance documents.
  This element can be a child of the following elements: placeholder, placeholderType/theme.

Nested Element Summary
`metaType` | `meta` 0...∞
choice 0...∞ |
`handlePortalEventType` | `handlePortalEvent`
`handlePageFlowEventType` | `handlePageFlowEvent`
`handleStrutsEventType` | `handleStrutsEvent`
`handleCustomEventType` | `handleCustomEvent`
`handleGenericEventType` | `handleEvent`
`handleNotificationEventType` | `handleNotificationEvent`
`titlebarType` | `titlebar` optional
`annonymous type derived from anyType` | `proxyPortletContent`
`annonymous type derived from anyType` | `proxyRef` 0...∞
`requiredUserPropertiesType` | `requiredUserProperties` optional

Attribute Summary
`string` | `backingFile`
`integer` | `cacheExpires`
`integer` | `connectionTimeoutMSecs`
`boolean` | `defaultMinimized`
`string` | `definitionId`
`annonymous type derived from string` | `definitionLabel`
`boolean` | `deleted`
`string` | `description`
`string` | `disabledClassifications`
`boolean` | `doesUrlTemplateProcessing`
`string` | `enabledClassifications`
`boolean` | `forkable`
`boolean` | `forkPreRender`
`integer` | `forkPreRenderTimeout`
`boolean` | `forkRender`
`integer` | `forkRenderTimeout`
`string` | `groupId`
`string` | `id`
`string` | `instanceId`
`string` | `markupName`
`string` | `orientation`
`boolean` | `packed`
`string` | `portletHandle`
`portletStateChangeType` | `portletStateChange`
`string` | `presentationClass`
`string` | `presentationId`
`string` | `presentationStyle`
`string` | `producerHandle`
`boolean` | `producerOfferedPortlet`
`string` | `properties`
`boolean` | `renderCacheable`
`string` | `skeletonUri`
`string` | `tagName`
`boolean` | `templatesStoredInSession`
`titleType` | `title`
`boolean` | `windowModeEnabled`

Attribute Detail

### backingFile

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### cacheExpires

Definition

  Defined with global type integer

Model

Attribute Usage
  optional

Fundamental Facets
  equality, numeric, unbounded, totaly ordered, countable infinite value space

White Space Processing
  collapse

### connectionTimeoutMSecs

Definition

  Defined with global type integer

Model

Attribute Usage
  optional

Fundamental Facets
  equality, numeric, unbounded, totaly ordered, countable infinite value space

White Space Processing
  collapse

### defaultMinimized

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### definitionId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### definitionLabel

Model
  `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Pattern Facet
  `(\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*`

### deleted

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### description

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### disabledClassifications

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### doesUrlTemplateProcessing

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### enabledClassifications

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### forkable

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### forkPreRender

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### forkPreRenderTimeout

Definition

  Defined with global type integer

Model

Attribute Usage
  optional

Fundamental Facets
  equality, numeric, unbounded, totaly ordered, countable infinite value space

White Space Processing
  collapse

### forkRender

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### forkRenderTimeout

Definition

  Defined with global type integer

Model

Attribute Usage
  optional

Fundamental Facets
  equality, numeric, unbounded, totaly ordered, countable infinite value space

White Space Processing
  collapse

### groupId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### id

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### instanceId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### markupName

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### orientation

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### packed

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### portletHandle

Definition

  Defined with global type string

Model

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### portletStateChange

Definition

  Defined with global type portletStateChangeType

Model
  `"1" | "2" | "3"`

Attribute Usage
  optional

Fundamental Facets
  equality, numeric, bounded, totaly ordered, countable infinite value space

White Space Processing
  collapse

### presentationClass

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationStyle

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### producerHandle

Definition

  Defined with global type string

Model

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### producerOfferedPortlet

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### properties

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### renderCacheable

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### skeletonUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### tagName

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### templatesStoredInSession

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### title

Definition

  Defined with global type titleType

Model
  `{string: length ≥ 1}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### windowModeEnabled

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1